<%@ page isErrorPage="true" %>

<html>
	<head>
		<title>Error</title>
	</head>
	<body>
		<h1>An Error Has Occured</h1>
<%
	if (exception == null) {
		exception = (Exception) request.getAttribute("javax.servlet.error.exception");
	}

	if (exception != null) {
%>
		Exception:
		<pre>
<% exception.printStackTrace(new java.io.PrintWriter(out)); %>
		</pre>
<%
	}

%>
		Attributes:
		<ul>
<%
	java.util.Enumeration e = request.getAttributeNames();
	while (e.hasMoreElements()) {
		String name = (String) e.nextElement();
		String value = (String) request.getAttribute(name).toString();
%>
			<li><%= name %>=<%= value %></li>
<%
	}
%>
		</ul>
	</body>
</html>